/* Programming activity: Socket client
 *
 * Goal: Create a socket client that can get and put values into a remote
 * server that keeps an in-memory map.
 * 
 * Fill in the missing code.  Then try your program out by specifying the
 * server name and port number provided in class, e.g.:
 *   % java ValueClient keithv.com 587
 */

import java.io.*;
import java.net.*;

public class ValueClient
{
    public static void main(String [] args)
    {
        // Default value for host and port
        String host = "localhost";
        int port = 5000;

        // Read in optional different hostname/port
        if (args.length > 0)
            host = args[0];
        if (args.length > 1)
            port = Integer.parseInt(args[1]);

        // TODO: Create a socket connection
        Socket sock = null;

        // Print out some info about the socket
        System.out.println("CLIENT: " + sock);

        // TODO: Get ready to read in a string from the server
        InputStreamReader stream = null;
        BufferedReader reader = null;

        // TODO: Get read to write output to the server
        // NOTE: PrintWriter is set to autoflush each line of output
        PrintWriter writer = null;	

        String command = "";
        while (true)
        {					
            // Get a string from the user
            System.out.print(">> ");
            command = StdIn.readLine();

            // TODO: Send the command to the server

            // TODO: Exit loop if given the QUIT command

            // TODO: Get response from server and print it to the console
        }

        System.out.println("CLIENT DONE");

        // TODO: Close the reader, writer, and the socket
    }
}

